# PSF-LoginServer - master - net.psforever.services.galaxy.GalaxyResponse.HotSpotUpdate
PSF - LoginServer - master - net.psforever.services.galaxy.GalaxyResponse.HotSpotUpdate
Keywords: PSF LoginServer master net.psforever.services.galaxy.GalaxyResponse.HotSpotUpdate

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package galaxy
  Definition Classes
    services
-  object GalaxyResponse
  Definition Classes
    galaxy
- FlagMapUpdate
- HotSpotUpdate
- MapUpdate
- Response
- TransferPassenger

c

net.psforever.services.galaxy.GalaxyResponse

# HotSpotUpdate

###

#### final case class HotSpotUpdate(zone_id: Int, priority: Int, host_spot_info: List[HotSpotInfo]) extends Response with Product with Serializable

Source
  GalaxyServiceResponse.scala

Linear Supertypes
Serializable, Product, Equals, Response, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HotSpotUpdate
2. Serializable
3. Product
4. Equals
5. Response
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new HotSpotUpdate(zone_id: Int, priority: Int, host_spot_info: List[HotSpotInfo])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  val host_spot_info: List[HotSpotInfo]
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  val priority: Int
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
20.  val zone_id: Int

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Response

### Inherited from AnyRef

### Inherited from Any

### Ungrouped